unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls;

type
  TForm1 = class(TForm)
    Edit1: TEdit;
    Edit2: TEdit;
    Edit3: TEdit;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Button1: TButton;
    Edit4: TEdit;
    Edit5: TEdit;
    Button2: TButton;
    Edit6: TEdit;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);

  private
    { Private declarations }
  public
    { Public declarations }


  end;

var
  Form1: TForm1;

implementation

uses I7000,I7000u;

{$R *.DFM}

procedure TForm1.Button1Click(Sender: TObject);
Var
   a,b,c:smallint;

begin

  gszSend    := StrAlloc(128);
  gszReceive := StrAlloc(128);
  a := StrToInt(Edit1.text);
  b := StrToInt(Edit2.text);
  c := StrToInt(Edit3.text);

  gw7000[0]:=a;
  gw7000[1]:=b;
  gw7000[2]:=c;
  Test(@gw7000[0],@gf7000[0],gszSend,gszReceive);

  Edit1.text := IntToStr(gw7000[0]);
  Edit2.text := IntToStr(gw7000[1]);
  Edit3.text := IntToStr(gw7000[2]);
  Edit4.text := gszSend;
  Edit5.text := gszReceive;
  StrDispose(gszSend);
  StrDispose(gszReceive);
end;


procedure TForm1.Button2Click(Sender: TObject);
var
   wRtn : WORD;
begin
     wRtn := Get_Dll_Version;
     Edit6.Text := IntToHex(wRtn,4);
end;

end.
